# Pantheon Ethereum Client
 [![Build Status](https://jenkins.pegasys.tech/job/Pantheon/job/master/badge/icon)](https://jenkins.pegasys.tech/job/Pantheon/job/master/)
 [![License](https://img.shields.io/badge/License-Apache%202.0-blue.svg)](https://github.com/PegasysEng/pantheon/blob/master/LICENSE)
 [ ![Download](https://api.bintray.com/packages/consensys/pegasys-repo/pantheon/images/download.svg) ](https://bintray.com/consensys/pegasys-repo/pantheon/_latestVersion)
 
Pantheon is an Apache 2.0 licensed, MainNet compatible, Ethereum client written in Java. 

## Pantheon Users

The process for installing and running Pantheon as a user is different to when developing. All user documentation is on our [Wiki] and some processes are different to those described in this Readme. 

### Install and Run Pantheon

Installing and running Pantheon is described in the Wiki:
* [Installation]
* [Quickstart]

### Documentation 

User and reference documentation available on the Wiki includes:
* [Command Line Options]
* [JSON-RPC API]
* [Docker Quickstart Tutorial]
* [Using Pantheon]

## Pantheon Developers

* [Contribution Guidelines](CONTRIBUTING.md)
* [Wiki] for running and using Pantheon

### Development
Instructions for how to get started with developing on the Pantheon codebase. Please also read the
[contribution guidelines](CONTRIBUTING.md) for more detail on how to submit a pull request (PR).

* [Checking out and building](docs/development/building.md)
* [Running Pantheon via Gradle](docs/development/running-with-gradle.md)
* [Code Coverage](docs/development/code-coverage.md)
* [Logging](docs/development/logging.md)

[Wiki]: https://github.com/PegaSysEng/pantheon/wiki
[Installation]: https://github.com/PegaSysEng/pantheon/wiki/Installation
[Quickstart]: https://github.com/PegaSysEng/pantheon/wiki/Quickstart
[Docker Quickstart Tutorial]: https://github.com/PegaSysEng/pantheon/wiki/Docker-Quickstart
[Command Line Options]: https://github.com/PegaSysEng/pantheon/wiki/Pantheon-CLI-Syntax
[JSON-RPC API]: https://github.com/PegaSysEng/pantheon/wiki/JSON-RPC-API
[Using Pantheon]: https://github.com/PegaSysEng/pantheon/wiki/Transactions
